/*
 * player.c
 */
#include "spec.h"
#include "vardecl.h"
#include "funcdecl.h"

/* 
========================================
  プレイヤーの初期化
========================================
*/
void
InitPlayer()
{
  int i;

  for (i = PLAYER_DUMMY; i < PLAYER_MAX; i++) {
    Machine[i].type = &MachineType[i]; /* type */
    Machine[i].type->obj.material = &aMaterial[i];
  }
}

/*
========================================
  機体操作関数のセット
  機体パラメータの設定
========================================
*/
void
SetMachine(int player, int machname)
{
  Machine[player].manFunc = manfunc[machname];
  /* 機体パラメータの設定 */
  parfunc[machname](Machine[player].type);
}
